#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	DNS-SEC
Summary:	Net::DNS::SEC - DNSSEC extensions to Net::DNS
Summary(pl.UTF-8):	Net::DNS::SEC - rozszerzenia DNSSEC do Net::DNS
Name:		perl-Net-DNS-SEC
Version:	1.14
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Net/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1aced289ab0adee0dcca59691f9c202a
URL:		http://search.cpan.org/dist/Net-DNS-SEC/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-OpenSSL-Bignum >= 0.04
BuildRequires:	perl-Crypt-OpenSSL-DSA >= 0.14
BuildRequires:	perl-Crypt-OpenSSL-RSA >= 0.27
BuildRequires:	perl-Digest-BubbleBabble >= 0.01
BuildRequires:	perl-Digest-SHA >= 5.23
BuildRequires:	perl-Digest-SHA1
BuildRequires:	perl-MIME-Base64 >= 2.11
BuildRequires:	perl-Net-DNS >= 1.01
BuildRequires:	perl-Test-Simple >= 0.47
%endif
Requires:	perl-Crypt-OpenSSL-Bignum >= 0.04
Requires:	perl-Crypt-OpenSSL-DSA >= 0.14
Requires:	perl-Crypt-OpenSSL-RSA >= 0.27
Requires:	perl-Digest-SHA >= 5.23
Requires:	perl-MIME-Base64 >= 2.11
Requires:	perl-Net-DNS >= 1.01
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net::DNS::SEC suite provides the resource records that are needed
for DNSSEC (RFC 4033, 4034 and 4035). In addition the DLV RR, a clone
of the DS RR is supported (RFC 4431)

It also provides support for SIG0. That later is useful for dynamic
updates using key-pairs.

RSA and DSA crypto routines are supported.

Net::DNS contains all needed hooks to load the Net::DNS::SEC
extensions when they are available.

%description -l pl.UTF-8
Moduły Net::DNS::SEC udostępniają rekordy porzebne do obsługi DNSSEC
(RFC 4033, 4034 oraz 4035). Poza DLV RR obsługiwany jest też klon DS
RR (RFC 4431).

Pakiet udostępnia także obsługę SIG0. Jest to przydatne do
dynamicznych uaktualnień przy użyciu par kluczy.

Procedury kryptograficzne RSA i DSA są także obsługiwane.

Moduł Net::DNS zawiera wszystkie uchwyty konieczne do wczytywania
rozszerzeń Net::DNS::SEC w razie potrzeby.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/auto/Net/DNS
%dir %{perl_vendorarch}/auto/Net/DNS/SEC
%attr(755,root,root) %{perl_vendorarch}/auto/Net/DNS/SEC/SEC.so
%{perl_vendorarch}/Net/DNS/SEC.pm
%{perl_vendorarch}/Net/DNS/SEC
%{_mandir}/man3/Net::DNS::SEC*.3pm*
%changelog
* Wed Dec 04 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Net-DNS-SEC.git;a=log;h=master

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> cc4a6ef
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 9209f9b
- up to 1.14; no longer noarch

* Fri Apr 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 3a45a70
- updated dependencies

* Tue Apr 26 2016 Adam Osuchowski <adwol@pld-linux.org> 5b691e1
- up to 1.02

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 18e76b1
- restored pre-rev. 1.9 changelog

* Mon Feb 06 2012 Jakub Bogusz <qboosh@pld-linux.org> 71ad850
- pl
- versioned install time dependencies (only unversioned are autodetected)

* Thu Jan 12 2012 zbyniu <zbyniu@pld-linux.org> cc77263
- up to 0.16

* Tue Oct 27 2009 amateja <amateja@pld-linux.org> 338bfd7
- added missing %dir in %files section
- release 2

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> e72e149
- commit log fixed

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> 7f605ef
- tests switched off by default because they keep trying to access /etc/resolv.conf

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> e4dce79
- updated to 0.15

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d7e3a2
- up to 0.14

* Mon Mar 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 80b8e2a
- generic URL

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 558115e
- missing dir; rel 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> dbc96f4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8c9e4e7
- converted to UTF-8

* Thu Dec 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 09086c7
- pl

* Wed Dec 15 2004 radek <radek@pld-linux.org> 5b2b65d
- tweaked BR

* Wed Dec 15 2004 radek <radek@pld-linux.org> 722cf93
- new

